package com.fjhx.account.entity.account.dto;

import com.fjhx.account.entity.account.po.AccountRequestFunds;
import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 请款表新增编辑入参实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class AccountRequestFundsDto extends AccountRequestFunds {

    //请款详情表的信息
    private List<AccountRequestFundsDetail> accountRequestFundsDetailList;

    private List<ObsFile> fileList;

    /**
     * 预支金额
     */
    private BigDecimal advanceAmount;

    /**
     * 核销金额
     */
    private BigDecimal writeOffAmount;

}
